<template>
  <div class="hello">
    <h1 id="zadanie-1">Zadanie 1</h1>
    <h4 id="by-szymon-kargol">by Szymon Kargol</h4>
    <h2 id="opis">Opis</h2>
    <p>Wykonane według własnego pomysłu.</p>
    <hr>
    <h3 id="serwisy">Serwisy</h3>
    <ol>
      <li>haproxy - proxy które upublicznia aplikację frontendową na vuejs oraz api backendowe</li>
      <li>vue - aplikacja frontendowa</li>
      <li>express - aplikacja na node js, służy jako <em>api</em></li>
      <li>mongo - baza danych do przechowywania obliczeń</li>
      <li>consumer - worker wykonuje obliczenia</li>
      <li>kafka - przekazuje wiadomości pomięczy <em>api</em> oraz consumerem (<em>workerem</em>)</li>
      <li>zookeper - zarządza usługą <em>kafki</em> (było to konieczne, można uznać to jako jedna wspólna usługa z
        kafką)
      </li>
    </ol>
    <h3 id="schemat">Schemat</h3>
    <p>
      <a href="/doc/Zadanie1_Schema.png">
        <img src="/doc/Zadanie1_Schema.png" alt="Schemat">
      </a>
    </p>
    <hr>
    <h2 id="uruchomienie">Uruchomienie</h2>
    <ol>
      <li>W katalogu głównym projektu <code>$ docker-compose up</code></li>
      <li>W przeglądarce <code>//localhost:3030</code></li>
    </ol>
    <hr>

  </div>
</template>

<script lang="ts">
import {Options, Vue} from 'vue-class-component';

@Options({
  props: {
    msg: String
  }
})
export default class HelloWorld extends Vue {
  msg!: string
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.hello {
  text-align: left;
  max-width: 800px;
  margin: auto;
}

img {
  max-width: 800px;
}

h3 {
  margin: 40px 0 0;
}

ul {
  list-style-type: none;
  padding: 0;
}

li {
  margin: 0 10px;
}

a {
  color: #42b983;
}
</style>
